Skip to main content

Describe Cluster (V2)

Describe a cluster in detail.

GET/v2/clusters/{CLUSTER_ID}
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
Acceptstringheader

Use application/json.

Example Value: application/json
CLUSTER_IDstringpathrequired

ID of the cluster whose details are to return.

Example Value: inxx-xxxxxxxxxxxxxxx
bash
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"

curl --request GET \
--url "${BASE_URL}/v2/clusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Responses

Returns information about the specified cluster in detail.

A successful response body containing the requested Cluster for the specified CLUSTER_ID.

codeinteger<int32>

Response code.

dataobject

Response payload.

clusterIdstring

ID of the specified cluster.

clusterNamestring

Name of the cluster.

projectIdstring

ID of the project to which the cluster belongs.

descriptionstring

Description of the cluster.

regionIdstring

ID of the cloud region hosting the cluster.

cuTypestring

Type of the cluster.
This applies to dedicated clusters only. For free and serverless clusters, the value is empty.

planstring

Subscription plan of the project to which the cluster belongs. Possible values are Free, Serverless, Standard and Enterprise.

statusstring

Current status of the cluster.

connectAddressstring

Public endpoint of the cluster.

privateLinkAddressstring

Private link of the cluster.

publicAddressEnabledboolean

Whether a public endpoint is enabled for the cluster. Omitted when not set.

createTimestring<date-time>

Time at which the cluster has been created.

replicainteger<int32>

Number of replicas of the cluster.

cuSizeinteger<int64>

CU size of the cluster. For free and serverless clusters, the value is always 0.

storageSizeinteger<int64>

Storage size used by this cluster.

snapshotNumberinteger<int32>

Number of backups created.

createProgressinteger<int32>

Creation progress of the cluster.

deploymentOptionstring

Deployment option of the cluster.

autoscalingobject

Auto-scaling configuration for the cluster.

cuobject

Auto-scaling configuration for CUs.

mininteger<int64>

Minimum number of CUs for auto-scaling. This parameter and schedules are mutually exclusive.

maxinteger<int64>

Maximum number of CUs for auto-scaling. This parameter and schedules are mutually exclusive.

schedulesarray

Auto-scaling schedules. This parameter and min/max are mutually exclusive.

[]schedulesobject

An auto-scaling schedule.

cronstring

Cron expression defining the schedule.

Example Value: 0 0 * * *
targetinteger<int64>

Target number of CUs for this schedule.

timezonestring

Timezone of the cron schedule.

replicaobject

Auto-scaling configuration for replicas.

mininteger<int64>

Minimum number of replicas for auto-scaling. This parameter and schedules are mutually exclusive.

maxinteger<int64>

Maximum number of replicas for auto-scaling. This parameter and schedules are mutually exclusive.

schedulesarray

Auto-scaling schedules. This parameter and min/max are mutually exclusive.

[]schedulesobject

An auto-scaling schedule.

cronstring

Cron expression defining the schedule.

Example Value: 0 0 * * *
targetinteger<int64>

Target number of replicas for this schedule.

timezonestring

Timezone of the cron schedule.

globalClusterMetaobject

Metadata of the global cluster if the current cluster belongs to a global cluster. Otherwise, this field is null.

globalClusterIdstring

ID of the global cluster.

rolestring

Role of the cluster in the global cluster. Possible values are PRIMARY and SECONDARY.

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

json
{
"code": 0,
"data": {
"clusterId": "in01-108240180a4faf8",
"clusterName": "dedicated-test",
"projectId": "proj-b44a39b0c51cf21791a841",
"description": "",
"regionId": "aws-us-west-2",
"cuType": "Performance-optimized",
"plan": "Enterprise",
"status": "RUNNING",
"connectAddress": "https://in01-108240180a4faf8.aws-us-west-2.vectordb.zillizcloud.com:19539",
"privateLinkAddress": "",
"createTime": "2024-06-30T16:34:09Z",
"replica": 1,
"cuSize": 2,
"storageSize": 0,
"snapshotNumber": 0,
"createProgress": 100,
"deploymentOption": "Dedicated"
}
}
json
{
"code": 0,
"data": {
"clusterId": "in05-991240180a4faf8",
"clusterName": "Serverless-01",
"projectId": "proj-b44a39b0c51cf21791a841",
"description": "",
"regionId": "gcp-us-west1",
"cuType": "",
"plan": "Serverless",
"status": "RUNNING",
"connectAddress": "https://in05-991240180a4faf8.gcp-us-west1.cloud.zilliz.com",
"privateLinkAddress": "",
"createTime": "2024-06-29T16:35:09Z",
"replica": 1,
"cuSize": 0,
"storageSize": 0,
"snapshotNumber": 0,
"createProgress": 100
}
}
json
{
"code": 0,
"data": {
"clusterId": "in03-112340180a4faf8",
"clusterName": "Free-01",
"projectId": "proj-b44a39b0c51cf21791a841",
"description": "",
"regionId": "gcp-us-west1",
"cuType": "",
"plan": "Free",
"status": "RUNNING",
"connectAddress": "https://in03-112340180a4faf8.api.gcp-us-west1.zillizcloud.com",
"privateLinkAddress": "",
"createTime": "2024-06-24T12:35:09Z",
"replica": 1,
"cuSize": 0,
"storageSize": 0,
"snapshotNumber": 0,
"createProgress": 100
}
}
json
{
"code": 0,
"data": {
"clusterId": "in01-108240180a4faf8",
"clusterName": "dedicated-test",
"projectId": "proj-b44a39b0c51cf21791a841",
"description": "",
"regionId": "aws-us-west-2",
"cuType": "Performance-optimized",
"plan": "Enterprise",
"status": "RUNNING",
"connectAddress": "https://in01-108240180a4faf8.aws-us-west-2.vectordb.zillizcloud.com:19539",
"privateLinkAddress": "",
"createTime": "2024-06-30T16:34:09Z",
"replica": 1,
"cuSize": 2,
"storageSize": 0,
"snapshotNumber": 0,
"createProgress": 100,
"deploymentOption": "Dedicated",
"globalClusterMeta": {
"globalClusterId": "glo-xxxxxxxxxxxxxxx",
"role": "PRIMARY"
}
}
}